Bug 994204 - yum selects both ruby and jruby, because the latter provides ruby(version) (edit)
yum selects both ruby and jruby, because the latter provides ruby(version) (e...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 13:54 EDT by Matthew Miller
Modified: 2015-02-17 11:37 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:37:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2013-08-06 13:54:16 EDT
The puppet package in Fedora has a "Requires: ruby(version)" as required by the packaging guidelines.  However, we really want it to use the normal Ruby MRI package, not least because jruby has tons of dependencies. So, again following the guidelines, an explicit "Requires: ruby" was added. However, this does not solve the problem. From a minimal install when one runs `yum install ruby`, one gets both!

This is because jruby is first selected to provide the ruby(version) dependency, and then ruby is added latter:

--> Processing Dependency: ruby(release) for package: puppet-3.1.1-5.fc19.noarch
Searching pkgSack for dep: ruby(release)
TSINFO: Marking jruby-1.7.2-1.fc19.noarch as install for puppet-3.1.1-5.fc19.noarch
[...]
--> Processing Dependency: ruby for package: puppet-3.1.1-5.fc19.noarch
Searching pkgSack for dep: ruby
TSINFO: Marking ruby-2.0.0.247-14.fc19.x86_64 as install for puppet-3.1.1-5.fc19.noarch


Of course, `ruby` could satisfy both dependencies, and that's the desired outcome.



Using yum-3.4.3-104.fc19.noarch, with current Fedora (package versions as above).
Comment 1 Fedora End Of Life 2015-01-09 14:19:32 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 11:37:02 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.